Skip to content

upsertQuoteMaterial

WRITE

Upsert quote material.

POST /api/v1/sales/upsertQuoteMaterial
curl -X POST '<your-host>/api/v1/sales/upsertQuoteMaterial' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "quoteMakeMethodId": "string",
    "order": 0,
    "itemType": "Part",
    "methodType": "Purchase to Order",
    "itemId": "string",
    "description": "string",
    "quantity": 0,
    "unitCost": 0,
    "unitCostSource": "system",
    "unitOfMeasureCode": "string",
    "quoteId": "string",
    "quoteLineId": "string",
    "_operation": "create"
  }'
Response
{
  "id": "string",
  "methodType": "Purchase to Order"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min length 1
min length 1
"Part""Material""Consumable"
"Purchase to Order""Pull from Inventory""Make to Order"
min 0
min 0
min length 1
min 0
"system""manual"
min length 1
"true""false"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1
    },
    "quoteMakeMethodId": {
      "type": "string",
      "minLength": 1
    },
    "order": {
      "type": "number",
      "minimum": 0
    },
    "itemType": {
      "type": "string",
      "enum": [
        "Part",
        "Material",
        "Consumable"
      ]
    },
    "methodType": {
      "type": "string",
      "enum": [
        "Purchase to Order",
        "Pull from Inventory",
        "Make to Order"
      ]
    },
    "itemId": {
      "type": "string",
      "minLength": 1
    },
    "kit": {
      "type": "string",
      "enum": [
        "true",
        "false"
      ]
    },
    "description": {
      "type": "string",
      "minLength": 1
    },
    "quoteOperationId": {
      "type": "string"
    },
    "quantity": {
      "type": "number",
      "minimum": 0
    },
    "storageUnitId": {
      "type": "string"
    },
    "unitCost": {
      "type": "number",
      "minimum": 0
    },
    "unitCostSource": {
      "type": "string",
      "enum": [
        "system",
        "manual"
      ]
    },
    "unitOfMeasureCode": {
      "type": "string",
      "minLength": 1
    },
    "quoteId": {
      "type": "string"
    },
    "quoteLineId": {
      "type": "string"
    },
    "customFields": {},
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "id",
    "quoteMakeMethodId",
    "order",
    "itemType",
    "methodType",
    "itemId",
    "description",
    "quantity",
    "unitCost",
    "unitCostSource",
    "unitOfMeasureCode",
    "quoteId",
    "quoteLineId",
    "_operation"
  ]
}